commit:     4032c0f44c1bc69f5b3bd7d5cacdfb1358c6b115
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Thu Dec 12 00:09:53 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jan 17 13:51:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4032c0f4

dev-db/mycli: add 1.29.2

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/39689
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-db/mycli/Manifest            |  1 +
 dev-db/mycli/mycli-1.29.2.ebuild | 79 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-db/mycli/Manifest b/dev-db/mycli/Manifest
index ffedc59bb7eb..cb9f4835a906 100644
--- a/dev-db/mycli/Manifest
+++ b/dev-db/mycli/Manifest
@@ -1 +1,2 @@
 DIST mycli-1.27.2.gh.tar.gz 286537 BLAKE2B 
7bff978f9a08561c33f5327f13b8b69226e5c735527a607190a3c5d75f091b9f76b8d432e7a3e315ff250995e0baea7f7e0bede17e0b1cc6654939b7ec82b0ae
 SHA512 
fdf0342b0e850b5232c815e73f44f22c7ea162201588681ccf2f4107b84b87f01fff3999a9720fef454239192356f074f47642ddc760af18973a2aaaac4676cd
+DIST mycli-1.29.2.tar.gz 293270 BLAKE2B 
c50b45f217f9b358334cd28a975e5de7b1f70903bf32ee719e03e067b13df13b856a24b9631d2b37a7ad668a82307b030cce1111f0a2ffe625cf9756680eee31
 SHA512 
13279ec14a0310323f1e407147749e8c628d9cc60688080e691ccfd9cdffd4d8d840a18b6a81075e08247b8a64a19808fbedf2898ab0b2e80ec2906182f23f28

diff --git a/dev-db/mycli/mycli-1.29.2.ebuild b/dev-db/mycli/mycli-1.29.2.ebuild
new file mode 100644
index 000000000000..dc64bce44339
--- /dev/null
+++ b/dev-db/mycli/mycli-1.29.2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=yes
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CLI for MySQL Database with auto-completion and syntax 
highlighting"
+HOMEPAGE="
+       https://www.mycli.net/
+       https://github.com/dbcli/mycli/
+       https://pypi.org/project/mycli/
+"
+
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="ssh"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/cli-helpers-2.2.1[${PYTHON_USEDEP}]
+               >=dev-python/click-7.0[${PYTHON_USEDEP}]
+               >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/prompt-toolkit-3.0.6[${PYTHON_USEDEP}]
+               <dev-python/prompt-toolkit-4.0.0[${PYTHON_USEDEP}]
+               >=dev-python/pyaes-1.6.1[${PYTHON_USEDEP}]
+               >=dev-python/pyfzf-0.3.1[${PYTHON_USEDEP}]
+               >=dev-python/pygments-1.6[${PYTHON_USEDEP}]
+               >=dev-python/pymysql-0.9.2[${PYTHON_USEDEP}]
+               >=dev-python/pyperclip-1.8.1[${PYTHON_USEDEP}]
+               >=dev-python/sqlglot-5.1.3[${PYTHON_USEDEP}]
+               >=dev-python/sqlparse-0.3.0[${PYTHON_USEDEP}]
+               ssh? (
+                       dev-python/paramiko[${PYTHON_USEDEP}]
+                       dev-python/sshtunnel[${PYTHON_USEDEP}]
+               )
+       ')
+"
+BDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/setuptools-scm[${PYTHON_USEDEP}]
+               test? (
+                       dev-python/paramiko[${PYTHON_USEDEP}]
+               )
+       ')
+"
+
+EPYTEST_DESELECT=(
+       # Requires a running mysql daemon
+       "test/test_main.py::test_batch"
+       "test/test_main.py::test_execute"
+       "test/test_main.py::test_init"
+       "test/test_special_iocommands.py::test_favorite_query"
+       "test/test_special_iocommands.py::test_watch"
+       "test/test_tabular_output.py::test_sql_output"
+)
+
+EPYTEST_IGNORE=(
+       # Requires a running mysql daemon
+       "test/test_sqlexecute.py"
+)
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       default
+
+       # Relax sqlparse requirement, 0.5.0 didn't have major API changes that 
would necessitate this restriction.
+       # bug #930690
+       sed -i -e '/sqlparse/ s/,<0.5.0//' pyproject.toml || die
+}

Reply via email to